Package: org.gmetrics.metric.coverage

## [Groovy] Class CoberturaSignatureParser

- org.gmetrics.metric.coverage.CoberturaSignatureParser

- Provides utility methods to parse and compare Cobertura method signatures

  Authors:
    Chris Mair

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static boolean` | `matchesCoberturaMethod(String name, String signature, String coberturaName, String coberturaSignature)`
    `` | `static int` | `numberOfParameters(String coberturaSignature)`
    `` | `protected static List<String>` | `parseCoberturaSignatureParameterTypes(String signature)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### static boolean matchesCoberturaMethod(String name, String signature, String coberturaName, String coberturaSignature)

    - #### static int numberOfParameters(String coberturaSignature)

    - #### protected static List<String> parseCoberturaSignatureParameterTypes(String signature)